View Issue Details

IDProjectCategoryView StatusLast Update
0000448CaseTalk ModelerDiagramspublic2016-11-23 16:35
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeveritymajorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version 
Target Version9.0Fixed in Version8.16 
Summary0000448: Drag diagrams to a new IG will distort the diagram contents
DescriptionDragging a diagram to a new IG containing a similar set of facttypes will not match displayed facts according to their names and remove them al together.
Additional InformationChanging the parent IG of a diagram should prompt the user to rebuild first, matching names, or rebuild according to the previously generated internal links of OTFT and Symbols.
TagsNo tags attached.

Relationships

Activities

BCP Software

BCP Software

2014-04-07 14:35

administrator   ~0000272

The sync between IG and IGD is performed using either the displayed OTFT Names, or the internal object identifiers. Dragging the diagram over to other IG's can either be:
- an IG containing similar names, yet a different set of object identifiers
- an IG contining identical object id's, yet altered names.
The majority of change should be detected to display a choice to the user which mentions a summary of differences from both perspectives. That way the user can choose what to synchronize to.
- either update all object id's, attempting to maintain the displayed names,
- or update all displayed names according to the relatively consistent set of object id's.

Issue History

Date Modified Username Field Change
2014-03-09 12:31 BCP Software New Issue
2014-03-09 12:31 BCP Software Status new => assigned
2014-03-09 12:31 BCP Software Assigned To => BCP Software
2014-04-04 13:51 BCP Software Target Version Future => 8.1
2014-04-07 14:35 BCP Software Note Added: 0000272
2014-10-31 13:48 BCP Software Target Version 8.1 => 9.0
2016-11-23 16:35 BCP Software Status assigned => resolved
2016-11-23 16:35 BCP Software Resolution open => fixed
2016-11-23 16:35 BCP Software Fixed in Version => 8.16